# snd_tplg_mixer_template Struct Reference
[Topology Interface]

Template type for mixer control objects. More...

## Data Fields

struct snd_tplg_ctl_template | hdr
struct snd_tplg_channel_map_template * | map
int | min
int | max
int | platform_max
int | invert
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for mixer control objects.

## Field Documentation

struct snd_tplg_ctl_template snd_tplg_mixer_template::hdr `[read]`

control type header

int snd_tplg_mixer_template::invert

whether controls bits are inverted

struct snd_tplg_channel_map_template* snd_tplg_mixer_template::map `[read]`

channel map

int snd_tplg_mixer_template::max

max value for mixer

int snd_tplg_mixer_template::min

min value for mixer

int snd_tplg_mixer_template::platform_max

max value for platform control

struct snd_soc_tplg_private* snd_tplg_mixer_template::priv `[read]`

control private data

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines